AM261x MCU+ SDK: LIN_Object Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Public Member Functions | Data Fields
LIN_Object Struct Reference
APIs for SOC Specific Device Drivers » APIs for LIN HLD

## Public Member Functions
uint8_t *readBufIdx | __attribute__ ((aligned(CacheP_CACHELINE_ALIGNMENT)))
uint32_t readCountIdx | __attribute__ ((aligned(CacheP_CACHELINE_ALIGNMENT)))
uint8_t tempBuffer[8] | __attribute__ ((aligned(CacheP_CACHELINE_ALIGNMENT)))

## Data Fields
SemaphoreP_Object | mutex
HwiP_Object | hwiObj0
HwiP_Object | hwiObj1
LIN_HLD_State | state
bool | isOpen
LIN_OpenParams * | openParams
LIN_DmaHandle | linDmaHandle
LIN_DmaChConfig | dmaChCfg
LIN_SCI_Frame * | currentTxnFrame
uint8_t * | writeBufIdx
uint32_t | writeCountIdx
SemaphoreP_Object | writeFrmCompSemObj
SemaphoreP_Object | readFrmCompSemObj

## Member Function Documentation

## ◆ __attribute__() [1/3]

uint8_t* readBufIdx LIN_Object::__attribute__ | ( | (aligned(CacheP_CACHELINE_ALIGNMENT)) |  | ) |

Internal inc. readBuf index

## ◆ __attribute__() [2/3]

uint32_t readCountIdx LIN_Object::__attribute__ | ( | (aligned(CacheP_CACHELINE_ALIGNMENT)) |  | ) |

Internal dec. readCounter

## ◆ __attribute__() [3/3]

uint8_t tempBuffer [8] LIN_Object::__attribute__ | ( | (aligned(CacheP_CACHELINE_ALIGNMENT)) |  | ) |

Temporary buffer used by the driver internally

## Field Documentation

## ◆ mutex

SemaphoreP_Object LIN_Object::mutex

Grants exclusive access to LIN Instance

## ◆ hwiObj0

HwiP_Object LIN_Object::hwiObj0

Hwi objects 0

## ◆ hwiObj1

HwiP_Object LIN_Object::hwiObj1

Hwi objects 1

## ◆ state

LIN_HLD_State LIN_Object::state

Stores the LIN module instance state

## ◆ isOpen

bool LIN_Object::isOpen

Flag to indicate whether module instance is open or not

## ◆ openParams

LIN_OpenParams* LIN_Object::openParams

Pointer to the LIN_OpenParams Typedef Structure used to open this instance

## ◆ linDmaHandle

LIN_DmaHandle LIN_Object::linDmaHandle

Dma driver handle

## ◆ dmaChCfg

LIN_DmaChConfig LIN_Object::dmaChCfg

Pointer to DMA Configuration for this instance

## ◆ currentTxnFrame

LIN_SCI_Frame* LIN_Object::currentTxnFrame

Pointer to the current Transaction Frame

## ◆ writeBufIdx

uint8_t* LIN_Object::writeBufIdx

Internal inc. writeBuf index

## ◆ writeCountIdx

uint32_t LIN_Object::writeCountIdx

Internal dec. writeCounter

## ◆ writeFrmCompSemObj

SemaphoreP_Object LIN_Object::writeFrmCompSemObj

Write Frame Sync Semaphore - to sync between transfer completion ISR and task

## ◆ readFrmCompSemObj

SemaphoreP_Object LIN_Object::readFrmCompSemObj

Read Frame Sync Semaphore - to sync between transfer completion ISR and task